=== debian/control ===
Source: libkdcraw
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libraw-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkdcraw.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkdcraw
Maintainer: Neon CI <neon@kde.org>

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw (= ${binary:Version}),
         pkgconf,
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkdcrawqt6-dev (<< 24.02.1)
Provides: libkdcrawqt6-dev, libkf6kdcraw-dev
Replaces: libkdcrawqt6-dev, libkf6kdcraw-dev
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkdcraw
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdcrawqt6 (<< 24.02.1)
Provides: libkdcrawqt6, libkf6kdcraw, libkf6kdcraw5, libkf6kdcraw6
Replaces: libkdcrawqt6, libkf6kdcraw, libkf6kdcraw5, libkf6kdcraw6
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

Package: libkdcrawqt6
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkdcraw, ${misc:Depends}
Description: Dummy Package
 Transitional package.

Package: libkdcrawqt6-dev
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkdcraw-dev, ${misc:Depends}
Description: Dummy Package
 Transitional package.
