## libkdcraw 25.08.3+p24.04+vstable+git20251109.0303

=== debian/changelog ===
libkdcraw (25.08.3+p24.04+vstable+git20251109.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:03:32 +0000

libkdcraw (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:35 +1000
