## libkdcraw 25.11.80

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 kde_enable_exceptions()
 
-add_library(KDcraw SHARED)
+add_library(KDcraw)
 
 set_target_properties(KDcraw PROPERTIES
     VERSION     ${KDCRAW_VERSION}
