## libkdcraw 25.12.0+p24.04+vstable+git20251208.1249

=== debian/changelog ===
libkdcraw (25.12.0+p24.04+vstable+git20251208.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:49:04 +0000
