## libkdcraw 25.12.1

=== debian/changelog ===
libkdcraw (25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jan 2026 21:13:17 -0500
