=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/release-service/([\d.]+)/src/
Matching-Pattern: libkdcraw-([\d.]+)\.tar\.xz
Pgpsigurlmangle: s/$/.sig/
