## libkdcraw 25.12.1+p24.04+vstable+git20260106.1447

=== debian/changelog ===
libkdcraw (25.12.1+p24.04+vstable+git20260106.1447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:47:30 +0000

libkdcraw (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:20:30 +1000
