## libkdcraw 25.12.2+p24.04+vstable+git20260206.1524

=== debian/changelog ===
libkdcraw (25.12.2+p24.04+vstable+git20260206.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:24:32 +0000

libkdcraw (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:26:13 +0000
